
Redmine - Defect #27848

The progress exceeding 99.5% is displayed as 100%

2017-12-25 07:45 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

 100_progress_rate.png 

Steps to reproduce:

Create one Issue.

Create 200 child issues for that issue.

Among 200 child issues, change the status of 199 issues to "closed" and change the status of 1 issue to "new”.

When checking the progress rate, it is displayed as 100%.

Since all the issues are not closed, I think that the progress rate should be displayed as 99%.

Related issues:

Related to Redmine - Defect #30949: Roadmap shows 100%, but one of its tasks ... Closed

Related to Redmine - Defect #33576: Done ratio of a parent issue may be shown... Closed

Related to Redmine - Defect #37151: The done ratio of a parent issue may not ... Closed

Has duplicate Redmine - Defect #29981: "% Done" should be rounded down to the 1 Closed

Associated revisions

Revision 17169 - 2018-01-08 23:35 - Jean-Philippe Lang

The progress exceeding 99.5% is displayed as 100% (#27848).

Patch by Mizuki ISHIKAWA.

History

#1 - 2017-12-25 07:54 - Mizuki ISHIKAWA

- File Change_the_progress_rate_to_round_down.patch added

I wrote a patch.

This patch changes the progress rate to round down.

#2 - 2018-01-08 03:47 - Go MAEDA

- File change_the_progress_rate_to_round_down-v2.patch added

- Target version set to 4.1.0

It is really misleading to show "100%" for a parent task which has undone issues. Setting target version to 4.1.0.

I slightly modified the patch, renamed the test case.

#3 - 2018-01-08 23:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from 4.1.0 to 3.4.5

- Resolution set to Fixed

Committed, thanks.
#4 - 2018-01-08 23:37 - Jean-Philippe Lang

- Target version changed from 3.4.5 to 4.0.0

#5 - 2018-11-15 23:05 - Marius BĂLTEANU

- Is duplicate of Defect #29981: "% Done" should be rounded down to the 1 added

#6 - 2018-11-15 23:05 - Marius BĂLTEANU

- Is duplicate of deleted (Defect #29981: "% Done" should be rounded down to the 1)

#7 - 2018-11-15 23:05 - Marius BĂLTEANU

- Has duplicate Defect #29981: "% Done" should be rounded down to the 1 added

#8 - 2019-03-20 10:14 - Bernhard Rohloff

- Related to Defect #30949: Roadmap shows 100%, but one of its tasks is still set to 90% added

#9 - 2020-06-10 08:58 - Go MAEDA

- Related to Defect #33576: Done ratio of a parent issue may be shown as 99% even though all subtasks are completed added

#10 - 2022-05-24 03:07 - Go MAEDA

- Related to Defect #37151: The done ratio of a parent issue may not be 100% even if all subtasks have a done ratio of 100% added

Files

100_progress_rate.png 216 KB 2017-12-25 Mizuki ISHIKAWA

Change_the_progress_rate_to_round_down.patch 1.28 KB 2017-12-25 Mizuki ISHIKAWA

change_the_progress_rate_to_round_down-v2.patch 1.28 KB 2018-01-08 Go MAEDA
